package com.jy.generator.config;

import cn.hutool.core.util.StrUtil;

import java.util.Arrays;
import java.util.stream.Collectors;

public class GeneratorUtil {

    /**
     * 生成get方法名
     */
    public static String genGetter(String str) {
        return StrUtil.genGetter(str);
    }

    /**
     * 小写首字母
     */
    public static String lowerFirst(String str) {
        return StrUtil.lowerFirst(str);
    }

    /**
     * 获取表别名
     */
    public static String getTableAlias(String tableName) {
        return Arrays.stream(tableName.split("_")).map(item -> item.substring(0, 1)).collect(Collectors.joining());
    }

}
